std::_Node_handle_common< _Val, _NodeAlloc > Class Template Reference
Containers » Associative » Node handles

`#include <node_handle.h>`

## Public Types

using | allocator_type = __alloc_rebind< _NodeAlloc, _Val >

## Public Member Functions

bool | empty () const noexcept
allocator_type | get_allocator () const noexcept
| operator bool () const noexcept

## Detailed Description

template<typename _Val, typename _NodeAlloc>
class std::_Node_handle_common< _Val, _NodeAlloc >

Base class for node handle types of maps and sets.

Definition at line 65 of file node_handle.h.

## Member Typedef Documentation

## allocator_type

template<typename _Val , typename _NodeAlloc >

using std::_Node_handle_common< _Val, _NodeAlloc >::allocator_type = __alloc_rebind<_NodeAlloc, _Val>

Definition at line 70 of file node_handle.h.

## Member Function Documentation

## empty()

template<typename _Val , typename _NodeAlloc >

bool std::_Node_handle_common< _Val, _NodeAlloc >::empty | ( |  | ) | const

inline noexcept

Definition at line 81 of file node_handle.h.

## get_allocator()

template<typename _Val , typename _NodeAlloc >

allocator_type std::_Node_handle_common< _Val, _NodeAlloc >::get_allocator | ( |  | ) | const

inline noexcept

Definition at line 73 of file node_handle.h.

## operator bool()

template<typename _Val , typename _NodeAlloc >

std::_Node_handle_common< _Val, _NodeAlloc >::operator bool | ( |  | ) | const

inline explicit noexcept

Definition at line 79 of file node_handle.h.

The documentation for this class was generated from the following file:

- node_handle.h